import gi
gi.require_version("Gst", "1.0")
from gi.repository import Gst


# Initialize GStreamer.
Gst.init(None)

# Show available plugins.
registry = Gst.Registry.get()
plugins = registry.get_feature_list(Gst.ElementFactory)

print("{} Plugins found.".format(len(plugins)))
for plugin in plugins:
    name = plugin.get_plugin_name()
    long_name = plugin.get_metadata("long-name")
    print("NAME:  {}: {}".format(name, long_name))
    print("KLASS: {}".format(plugin.get_metadata("klass")))
    print("-" * 10)
